/* -*- linux-c -*-
 *
 * $Id: epath_utils2.c,v 1.1 2003/12/05 19:40:23 sdague Exp $
 *
 * (C) Copyright IBM Corp. 2003
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  This
 * file and program are licensed under a BSD style license.  See
 * the Copying file included with the OpenHPI distribution for
 * full licensing terms.
 *
 * Authors:
 *     Sean Dague <http://dague.net/sean>
 *
 */

#include <string.h>
#include <SaHpi.h>
#include <epath_utils.h>

/**
 * main: tests conversion from string and back
 * 
 * This test tests whether a string converted to an ep ends up 
 * as the same string afterwards
 * 
 * Return value: 0 on success, non 0 on fail
 **/
int main(int argc, char **argv) 
{
        const unsigned int EP_SIZE = 128;
        SaHpiEntityPathT tmp_ep;
        char ep_str[EP_SIZE];
        char *entity_root = "{SYSTEM_CHASSIS,5}{SBC_BLADE,3}";
        
        string2entitypath(entity_root, &tmp_ep);
        
        entitypath2string(&tmp_ep, ep_str, EP_SIZE);
        
        return strcmp(entity_root, ep_str);
        
        return 0;
}

